import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand, EditorCommandGroup } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/table}
 */
export declare function useInsertTable(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useAddRowBefore(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useAddRowAfter(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useAddColumnBefore(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useAddColumnAfter(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useDeleteTable(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useDeleteRow(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useDeleteColumn(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useTableDeleteOperations(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand[]>;
export declare function useDeleteTableGroup(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommandGroup>;
export declare function useMergeCells(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useSplitCells(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useToggleHeaderColumn(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useToggleHeaderRow(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useToggleHeaderCell(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
